Bug 199180 - undefined symbol
undefined symbol
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2006-07-17 15:16 EDT by Ryan Skadberg
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-09 09:38:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ryan Skadberg 2006-07-17 15:16:07 EDT
I see this when evolution starts:

(evolution-2.8:10436): e-utils-WARNING **: can't load plugin
'/usr/lib/evolution/2.8/components/libevolution-addressbook.so: undefined
symbol: eab_search_dialog_new'

My guess is that evolution got built with an older version on the machine and
linked against that and then things changed.  Probably should rebuild all the
evolution packages to clear this up.
Comment 1 Ryan Skadberg 2006-07-18 09:47:08 EDT
This has been reported by someone else upstream as well:


So, not sure if it's a FC thing or an Evolution thing now.
Comment 2 Matthew Barnes 2006-07-18 10:44:30 EDT
Ryan and Mayank, what packages are you using?

$ rpm -q evolution evolution-data-server

I'm having trouble reproducing this.  All I see when I start it is:

    CalDAV Eplugin starting up ...

    (evolution-2.8:7238): camel-WARNING **: camel_exception_get_id called with
    NULL parameter.

    (evolution-2.8:7238): Gtk-CRITICAL **: gtk_option_menu_set_history:
    assertion `GTK_IS_OPTION_MENU (option_menu)' failed

(Note: The Gtk-CRITICAL warning repeats every time I select a new component.)
Comment 3 Ryan Skadberg 2006-07-18 10:49:38 EDT
Packages are:


Try enabling the Exchange Operations plugin in Plugins and restarting (you may
need to install evolution-connector if you don't have that yet in order to do that).
Comment 4 Matthew Barnes 2006-07-18 10:59:08 EDT
That was it, thanks.  All of our packages match and I can reproduce this now. 
Will investigate.
Comment 5 Mayank Jain 2006-07-19 03:39:05 EDT
Thanks :)
Comment 6 Matthew Barnes 2006-08-07 12:37:32 EDT
This has been fixed in Evoluton 2.7.90, which is now in Rawhide.  But I'll leave
this open until all the dependency issues get sorted out.
Comment 7 Caolan McNamara 2006-08-08 14:54:01 EDT
also: evolution-2.7.4-4

evo->contacts->personal/ldap->search, click on search icon, advanced -> 
crash with "undefined symbol: eab_search_dialog_new"

Comment 8 Matthew Barnes 2006-08-08 15:41:24 EDT
That too should be fixed in Evolution 2.7.90.

If I recall correctly, there's only one instance of that symbol in Evolution. 
And they "fixed" it by commenting it out.
Comment 9 Matthew Barnes 2006-08-09 09:38:22 EDT
Evolution dependencies in Rawhide are all in order as of this morning, so I'm
closing this bug.  Please reopen if you find that the latest Evolution release
is still complaining (or crashing) due to a missing eab_search_dialog_new symbol.

Note You need to log in before you can comment on or make changes to this bug.